Форум русскоязычного сообщества Ubuntu


Получить помощь и пообщаться с другими пользователями Ubuntu можно
на irc канале #ubuntu-ru в сети Freenode
и в Jabber конференции ubuntu@conference.jabber.ru

Автор Тема: Проблема после установки обновлений на 12.04 LTS  (Прочитано 1295 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн bird21

  • Автор темы
  • Новичок
  • *
  • Сообщений: 19
    • Просмотр профиля
Все было нормально. 12.04 стоит уже примерно год или немного меньше. Жесткий диск разбит на 3 раздела, система 7 Гб, swap - 500 Мб, остальное 48,5 Гб. Регулярно, как появляется сообщение об обновлениях, устанавливаю обновления. В очередной раз снова так сделал. На следующий день заметил в правом верхнем углу красный круг с белой полосой: Произошла ошибка... BrokenCount > 0 (установленные пакеты имеют неразрешенные зависимости).

Выполняю sudo apt-get -f install, говорит что есть неразрешенные зависимости пакетов (про ядро, если быть более точным), предлагает скачать недостающий пакет, соглашаюсь, он скачивает, но потом говорит, что на устройстве кончилось место и операция не завершается. Смотрю, по данным Наутилуса места на томе с системой примерно 750 Мб. Пробовал чистить и так и сяк, в итоге ничего глупее не придумал: временно переместил из /lib/modules на другой раздел несколько каталогов со старыми ядрами, типа 3.2.0-29-generic-pae. Места стало больше, примерно 1,5 Гб.

Снова выполняю sudo apt-get -f install, получаю:
(Нажмите, чтобы показать/скрыть)

Как бы мне вернуть систему в нормальное состояние?
« Последнее редактирование: 09 Июня 2013, 16:40:31 от san-alex »

Оффлайн san-alex

  • Забанен
  • Старожил
  • *
  • Сообщений: 7726
  • Ex-CNC programmer
    • Просмотр профиля
Откуда у тебя взялось и зачем тебе ядро РАЕ? В третьем ядре, поддержка РАЕ включена по умолчанию.

Оффлайн bird21

  • Автор темы
  • Новичок
  • *
  • Сообщений: 19
    • Просмотр профиля
san-alex,
Хороший вопрос, специальных действий со своей стороны для того, чтобы поставить именно ядро pae я не припоминаю.

Оффлайн san-alex

  • Забанен
  • Старожил
  • *
  • Сообщений: 7726
  • Ex-CNC programmer
    • Просмотр профиля
Что говорят команды
uname -a
lsb_release -a
Какие-то репозитории подлкючал?

Оффлайн bird21

  • Автор темы
  • Новичок
  • *
  • Сообщений: 19
    • Просмотр профиля
(Нажмите, чтобы показать/скрыть)

sourses.list
(Нажмите, чтобы показать/скрыть)
« Последнее редактирование: 09 Июня 2013, 19:04:31 от san-alex »

Оффлайн san-alex

  • Забанен
  • Старожил
  • *
  • Сообщений: 7726
  • Ex-CNC programmer
    • Просмотр профиля
Такие простыни надо под спойлер прятать.
Попробуй загрузиться с другим ядром (не РАЕ) и удалить через Синаптик все РАЕ-ядра и обновиться.

Оффлайн bird21

  • Автор темы
  • Новичок
  • *
  • Сообщений: 19
    • Просмотр профиля
Загрузился под 3.2.0-43-generic-pae (все ядра в меню загрузчика - pae, начиная с 29-го). Попробовал удалить через Synaptic ядро 3.2.0-45-generic-pae, но неудачно, любая попытка что-либо удалить или установить вызывает сообщение:
Система пакетов повреждена
Если вы используете сторонние источники приложений, отключите их, поскольку они являются частым
источником проблем. После этого выполните в терминале следующую команду: apt-get install -f
Подробности:
Следующие пакеты имеют неудовлетворённые зависимости:

linux-generic-pae: Depends: linux-image-generic-pae (= 3.2.0.44.53) но 3.2.0.45.54 уже установлен
                   Depends: linux-headers-generic-pae (= 3.2.0.44.53) но 3.2.0.44.53 уже установлен
linux-headers-generic-pae: Depends: linux-headers-3.2.0-44-generic-pae но он не установлен

Кстати, при запуске Synaptic говорит: "Элементы не могут быть установлены или удалены пока не будет восстановлен каталог пакетов. Восстановить сейчас?". Если соглашаешься восстановить, то выдает следующее:
Ошибка операции над пакетом
Установка или удаление пакетов программ не удалось.
Подробности:
(Нажмите, чтобы показать/скрыть)

 

Страница сгенерирована за 0.063 секунд. Запросов: 25.